<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Version: 1.0.1
| Author: Yodix (www.on-deck.eu)
| Release Date: 31/12/2011
| Last Update Date: 05/01/2012
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."forum_icons/infusion_db.php";

if (file_exists(INFUSIONS."forum_icons/locale/".$settings['locale'].".php")) {
	include INFUSIONS."forum_icons/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."forum_icons/locale/English.php";
}

$inf_title = $locale['fi_title'];
$inf_description = $locale['fi_desc'];
$inf_version = "1.0.1";
$inf_developer = "Yodix";
$inf_email = "yodix@on-deck.eu";
$inf_weburl = "http://www.on-deck.eu";

$inf_folder = "forum_icons";

$inf_newtable[1] = DB_FORUM_ICONS." (
forum_icon_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
forum_icon_forum MEDIUMINT(8) UNSIGNED NOT NULL DEFAULT '0',
forum_icon_file VARCHAR(100) NOT NULL DEFAULT '',
PRIMARY KEY (forum_icon_id)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('fi_enable', '1', '".$inf_folder."')";
$inf_insertdbrow[2] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('panel_info', '1', '".$inf_folder."')";
$inf_insertdbrow[3] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('icon_max_w', '32', '".$inf_folder."')";
$inf_insertdbrow[4] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('icon_max_h', '32', '".$inf_folder."')";
$inf_insertdbrow[5] = DB_SETTINGS_INF." (settings_name, settings_value, settings_inf) VALUES('icon_max_b', '524288', '".$inf_folder."')";
$inf_insertdbrow[6] = DB_PANELS." (panel_name, panel_filename, panel_content, panel_side, panel_order, panel_type, panel_access, panel_display, panel_status) VALUES('".$locale['fi_panel']."', 'forum_icons_panel', '', '1', '3', 'file', '0', '0', '1')";

$inf_droptable[1] = DB_FORUM_ICONS;

$inf_deldbrow[1] = DB_SETTINGS_INF." WHERE settings_inf='".$inf_folder."'";
$inf_deldbrow[2] = DB_PANELS." WHERE panel_filename='forum_icons_panel'";

$inf_adminpanel[1] = array(
	"title" => $locale['fi_admin'],
	"image" => "forum_icons.gif",
	"panel" => "forum_icons_admin.php",
	"rights" => "FI"
);
?>