<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: English.php
| Version: 1.0.1
| Author: Yodix (www.on-deck.eu)
| Release Date: 31/12/2011
| Last Update Date: 05/01/2012
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

// Forum Icons 1.0.0 - Installation (infusion.php)
$locale['fi_title'] = "Forum Icons";
$locale['fi_desc'] = "You can add icons to the sections on the forum";
$locale['fi_admin'] = "Forum Icons";
$locale['fi_panel'] = "Forum Icons Panel";

// Forum Icons 1.0.0 - Admin Panel (forum_icons_admin.php)
$locale['fi_000'] = "Forum Icons - Add icon";
$locale['fi_001'] = "Current icons";
$locale['fi_002'] = "Forum Icons - Settings";
// Information and Errors
$locale['fi_010'] = "Icon has been added";
$locale['fi_010a'] = "Error! Icon has not been added";
$locale['fi_011'] = "Icon has been removed";
$locale['fi_011a'] = "Error! Icon has not been removed";
$locale['fi_012'] = "The following error has occured:<br />";
$locale['fi_012a'] = "Invalid filename.";
$locale['fi_012b'] = "File must be less than %s.";
$locale['fi_012c'] = "Image must be less than %s.";
$locale['fi_012d'] = "Image must be smaller than %s.";
$locale['fi_013'] = "Error! This forum is no longer an icon";
$locale['fi_014'] = "Error! Forum does not exist";
$locale['fi_015'] = "Settings has been updated";
$locale['fi_015a'] = "Error! Settings has not been updated";
// Form add icons
$locale['fi_020'] = "Forum Name";
$locale['fi_021'] = "Icon";
$locale['fi_022'] = "Save";
// Information about the icons
$locale['fi_030'] = "Max. file size: %s / Max. dimensions: %ux%u pixels";
// Current icons
$locale['fi_040'] = "Icon";
$locale['fi_041'] = "Forum";
$locale['fi_042'] = "Options";
$locale['fi_043'] = "There are no icons to display";
$locale['fi_044'] = "Edit";
$locale['fi_045'] = "Delete";
$locale['fi_046'] = "Are you sure you want to remove this icon?";
// Navigation
$locale['fi_050'] = "Forum Icons";
$locale['fi_051'] = "Settings";
// Setting Form
$locale['fi_060'] = "The maximum dimensions of the icons:";
$locale['fi_061'] = "(width x height)";
$locale['fi_062'] = "The maximum size of the icons (in bytes)";
$locale['fi_063'] = "Save";

// Forum Icons 1.0.1 - Panel (forum_icons_panel.php)
$locale['fi_070'] = "Forum Icons Panel";
$locale['fi_071'] = "Icons on forum enabled";
$locale['fi_072'] = "Icons on forum disabled";

// Forum Icons 1.0.1 - Admin Panel (forum_icons_admin.php)
$locale['fi_080'] = "Enable Forum Icons?";
$locale['fi_081'] = "Yes";
$locale['fi_082'] = "No";
$locale['fi_083'] = "Turn on information in the panel?";
?>