<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: forum_icons_panel.php
| Version: 1.0.1
| Author: Yodix (www.on-deck.eu)
| Release Date: 05/01/2012
| Last Update Date: --/--/----
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include_once INFUSIONS."forum_icons/infusion_db.php";
include_once INCLUDES."infusions_include.php";

if (file_exists(INFUSIONS."forum_icons/locale/".$settings['locale'].".php")) {
	include INFUSIONS."forum_icons/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."forum_icons/locale/English.php";
}
add_to_head("
<style>
.tbl-enabled  {
	color: #009900;
	font-weight: bold;
	background-color: #33FF33;
	border:2px solid #00CC00;
	text-align: center;
	padding: 5px 5px 5px 5px;
	margin: 5px;
}
.tbl-disabled  {
	color: #AC260F;
	font-weight: bold;
	background-color: #FCCAC2;
	border:2px solid #EB5339;
	text-align: center;
	padding: 5px 5px 5px 5px;
	margin: 5px;
}
</style>
");
$fi_settings = get_settings("forum_icons");
$result = dbquery("SELECT forum_id, forum_name FROM ".DB_FORUMS);

if (dbrows($result) != "0" && $fi_settings['fi_enable'] == "1") {
	$forum_cat_replace = "<td colspan='3' class='forum-caption forum_cat_name'><!--forum_cat_name-->";
	$forum_cat_replaced = "<td colspan='2' class='forum-caption forum_cat_name'><!--forum_cat_name-->";
	replace_in_output(addslashes($forum_cat_replaced), addslashes($forum_cat_replace), "si");
	while ($data = dbarray($result)) {
		$forum_replace = "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>";
		$icon_result = dbquery("SELECT forum_icon_id, forum_icon_forum, forum_icon_file FROM ".DB_FORUM_ICONS." WHERE forum_icon_forum='".$data['forum_id']."'");
		if (dbrows($icon_result) != "0") {
			$icon_data = dbarray($icon_result);
			$forum_replace .= "<img src='".INFUSIONS."forum_icons/icons/".$icon_data['forum_icon_file']."' alt='".$data['forum_name']."' />";
		} else {
			$forum_replace .= "<img src='".INFUSIONS."forum_icons/icons/none.png' alt='".$data['forum_name']."' />";
		}
		$forum_replace .= "</td>";
		$forum_replace .= "<td class='tbl1 forum_name'><!--forum_name--><a href='viewforum.php?forum_id=".$data['forum_id']."'>".$data['forum_name']."</a><br />";
		replace_in_output("<td class=\'tbl1 forum_name\'><!--forum_name--><a href=\'viewforum.php\?forum_id=".$data['forum_id']."\'>".$data['forum_name']."</a><br />", addslashes($forum_replace), "si");
	}
}

if ($fi_settings['panel_info'] == "1" && (iADMIN || checkrights("FI"))) {
	openside($locale['fi_070']);
	if ($fi_settings['fi_enable'] == "1") {
		echo "<div class='tbl-enabled'>".$locale['fi_071']."</div>";
	} else {
		echo "<div class='tbl-disabled'>".$locale['fi_072']."</div>";
	}
	closeside();
}
?>